QGIS Application - Bug report #15633
Field calculator does not clear variables list when switching layers
2016-09-28 07:56 AM - Victor Olaya

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:2.16.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23556
Description

See subject.

Associated revisions

Revision c2699b46 - 2017-05-04 09:14 AM - Alexander Bruy

[processing] reset variables list in field calculator on layer change (fix #15633)

Revision 9c88faf4 - 2017-05-05 02:16 PM - Alexander Bruy

Merge pull request #4499 from alexbruy/processing-fieldcalc

[processing] reset variables list in field calculator on layer change (fix #15633)

Revision 2185d42d - 2017-05-05 03:47 PM - Alexander Bruy

[processing] reset variables list in field calculator on layer change (fix #15633)

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi
- Easy fix? set to No

- Description updated

- Regression? set to No

#2 - 2017-05-01 03:56 PM - Alexander Bruy
- Assignee changed from Victor Olaya to Alexander Bruy

#3 - 2017-05-04 10:28 AM - Alexander Bruy
- Pull Request or Patch supplied changed from No to Yes

Proposed PR https://github.com/qgis/QGIS/pull/4499

#4 - 2017-05-05 02:16 PM - Alexander Bruy
- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/4499

- % Done changed from 0 to 100

Applied in changeset commit:qgis|c2699b464057e2579b9852b02d8f8d5e3014f0de.

#5 - 2017-05-05 02:17 PM - Giovanni Manghi
- Resolution set to fixed/implemented
